Bug 139505 - typo in magic file line 2413
typo in magic file line 2413
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 08:52 EST by Artyom
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 06:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artyom 2004-11-16 08:52:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
in /usr/share/magic file line 2413 missing openning '>'.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open the file and see
2.
3.
    

Additional info:
Comment 1 Radek Vokal 2004-11-18 04:28:04 EST
I'm sorry, but I've added some mime types of my own there so can you
point me to exact text which has a bug? Also which version of file are
you using? 
Comment 2 Artyom 2004-11-21 02:34:56 EST
The line is :
0x1FE  leshort 0xAA55                  x86 boot sector
vile versions: 3.35, 4.02
Comment 3 Artyom 2004-11-21 02:36:06 EST
The line is :
0x1FE  leshort 0xAA55                  x86 boot sector
file versions: 3.35, 4.02
Comment 4 Radek Vokal 2004-11-22 05:52:08 EST
Ok, now I see it. But honestly I can't say if it's wrong or correct.
Do you have a case where it emits some error or kick me why there has
to be  '>'? 
Comment 5 Artyom 2004-11-22 06:21:58 EST
I used the magic file in a script (with perl's File::MMagic) and got
'Bad Offset/Type' error pointing to that place, adding '>' solved the
problem.  
Comment 6 Radek Vokal 2004-11-22 06:24:36 EST
Ok, thx. I will add patch into file-4.10-5.

Note You need to log in before you can comment on or make changes to this bug.